Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util.regexp
Interface RegexpMatcher

All Known Subinterfaces:
  Regexp

All Known Implementing Classes:
  JakartaOroMatcher, JakartaOroRegexp, JakartaRegexpMatcher, JakartaRegexpRegexp, Jdk14RegexpMatcher, Jdk14RegexpRegexp

public interface RegexpMatcher

Interface describing a regular expression matcher.

Field Summary
`static int` | `MATCH_CASE_INSENSITIVE` Perform a case insenstive match
`static int` | `MATCH_DEFAULT` Default Mask (case insensitive, neither multiline nor singleline specified).
`static int` | `MATCH_MULTILINE` Treat the input as a multiline input
`static int` | `MATCH_SINGLELINE` Treat the input as singleline input ('.' matches newline)

Method Summary
`java.util.Vector` | `getGroups(java.lang.String argument)` Returns a Vector of matched groups found in the argument using default options.
`java.util.Vector` | `getGroups(java.lang.String input, int options)` Get the match groups from this regular expression.
`java.lang.String` | `getPattern()` Get a String representation of the regexp pattern
`boolean` | `matches(java.lang.String argument)` Does the given argument match the pattern?
`boolean` | `matches(java.lang.String input, int options)` Does this regular expression match the input, given certain options
`void` | `setPattern(java.lang.String pattern)` Set the regexp pattern from the String description.

Field Detail

### MATCH_DEFAULT

    public static final int MATCH_DEFAULT

  Default Mask (case insensitive, neither multiline nor singleline specified).

  See Also:
    Constant Field Values

### MATCH_CASE_INSENSITIVE

    public static final int MATCH_CASE_INSENSITIVE

  Perform a case insenstive match

  See Also:
    Constant Field Values

### MATCH_MULTILINE

    public static final int MATCH_MULTILINE

  Treat the input as a multiline input

  See Also:
    Constant Field Values

### MATCH_SINGLELINE

    public static final int MATCH_SINGLELINE

  Treat the input as singleline input ('.' matches newline)

  See Also:
    Constant Field Values

Method Detail

### setPattern

    public void setPattern(java.lang.String pattern)
                    throws BuildException

  Set the regexp pattern from the String description.

  Parameters:
    `pattern` - the pattern to match
  Throws:
    `BuildException` - on error

### getPattern

    public java.lang.String getPattern()
                                throws BuildException

  Get a String representation of the regexp pattern

  Returns:
    the pattern
  Throws:
    `BuildException` - on error

### matches

    public boolean matches(java.lang.String argument)
                    throws BuildException

  Does the given argument match the pattern?

  Parameters:
    `argument` - the string to match against
  Returns:
    true if the pattern matches
  Throws:
    `BuildException` - on error

### getGroups

    public java.util.Vector getGroups(java.lang.String argument)
                               throws BuildException

  Returns a Vector of matched groups found in the argument using default options.

  Group 0 will be the full match, the rest are the parenthesized subexpressions

  .

  Parameters:
    `argument` - the string to match against
  Returns:
    the vector of groups
  Throws:
    `BuildException` - on error

### matches

    public boolean matches(java.lang.String input,
                           int options)
                    throws BuildException

  Does this regular expression match the input, given certain options

  Parameters:
    `input` - The string to check for a match
    `options` - The list of options for the match. See the MATCH_ constants above.
  Returns:
    true if the pattern matches
  Throws:
    `BuildException` - on error

### getGroups

    public java.util.Vector getGroups(java.lang.String input,
                                      int options)
                               throws BuildException

  Get the match groups from this regular expression. The return type of the elements is always String.

  Parameters:
    `input` - The string to check for a match
    `options` - The list of options for the match. See the MATCH_ constants above.
  Returns:
    the vector of groups
  Throws:
    `BuildException` - on error

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.